"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("proxy-polyfill");
const Touchables_1 = require("./react-native/Touchables");
const Picker_1 = require("./react-native/Picker");
const RefreshControl_1 = require("./react-native/RefreshControl");
const reactNative = require("react-native");
const cloudwiseInstrument = {
    TouchableHighlight: Touchables_1.TouchableHighlight,
    TouchableNativeFeedback: Touchables_1.TouchableNativeFeedback,
    TouchableOpacity: Touchables_1.TouchableOpacity,
    TouchableWithoutFeedback: Touchables_1.TouchableWithoutFeedback,
    Button: Touchables_1.Button,
    Picker: Picker_1.Picker,
    RefreshControl: RefreshControl_1.RefreshControl
};
const cloudwiseProxy = new Proxy(reactNative, {
    get(target, property) {
        if (cloudwiseInstrument[property] !== undefined) {
            return cloudwiseInstrument[property];
        }
        return target[property];
    }
});
module.exports = cloudwiseProxy;
