require 'json'
package = JSON.parse(File.read(File.join(__dir__, './', 'package.json')))

Pod::Spec.new do |s|

  # ---  Metadata  ---------------------------------------------------------- #
  #

  s.name          = "react-native-cloudwise"
  s.version       = package['version']
  s.summary       = package['description']
  s.license       = package['license']
  s.homepage      = package['homepage']
  s.ios.deployment_target = "8.0"
  s.source_files  = ["ios/*.{h,m}","ios/lib/*.h"]
  s.vendored_libraries = "ios/lib/libCloudwise.a"

  s.ios.frameworks = "CoreLocation", "CoreTelephony", "Security", "SystemConfiguration", "MessageUI", "WebKit"
  s.libraries = "sqlite3", "z", "c++"
  s.requires_arc = true
  s.compiler_flags = '-DOS_OBJECT_USE_OBJC=1'
  s.pod_target_xcconfig = { 'OTHER_LDFLAGS' => '-ObjC' }

  # ---  License  ----------------------------------------------------------- #
  #

  s.license      = { :type => "Commercial", :text =>
                     "Terms of Service

					  1.0 Introduction.
					  These Terms of Service constitute the agreement between You and Cloudwise, a division of Cloudwise LLC, a Delaware company (together hereinafter referred to as 'Cloudwise'). BY USING THE SERVICE, YOU ACKNOWLEDGE THAT YOU HAVE REVIEWED AND ACCEPT THIS AGREEMENT AND ARE AUTHORIZED TO ACT ON BEHALF OF, AND BIND YOUR ENTITY ('CLIENT') TO THIS AGREEMENT.
					  Cloudwise reserves the right to change or modify these Terms of Service at our sole discretion at any time by posting updated Terms of Service on the Cloudwise website. Any change or modification to the Terms of Service will be effective immediately upon posting. In all cases, your continued use of the Services after publication of such modifications constitutes binding acceptance of the modified Terms of Service.

					  2.0 Scope of the Cloudwise Service; Restrictions.
					  The 'Service' shall be defined as the hosted services, electronic reports, analyses, documentation or Auxiliary Programs provided by Cloudwise under this Agreement which are necessary to deploy the service. Client shall have the right to use the Service ordered and made available to Client by Cloudwise hereunder for their internal use. 'Auxiliary Program'. means any software, agent or equipment that Cloudwise makes available to Client as part of the Service for purposes of facilitating access to, operation of, and/or use with, the Service.
					  Client shall not: (a) reverse engineer, decompile, decode, decrypt, disassemble, or in any way derive source code from the Service and/or Auxiliary Programs; (b) modify, translate, adapt, alter, or create derivative works from the Service and/or Auxiliary Programs; (c) copy, distribute, publicly display, transmit, make available in any 'public' area or accessible on the World Wide Web; (d) sublicense, sell, rent, or lease the Service and/or Auxiliary Programs; or (e) use the Service and/or Auxiliary Programs for the purposes of competing with Cloudwise, including without limitation competitive intelligence or analysis.

					  3.0 Pricing & Payment Terms.
					  Prices for the Service are set forth on the Cloudwise website. Payment may be made either immediately by credit card, or invoiced as provided herein. If payment is made by invoice, Cloudwise will invoice the full invoice and Client shall remit payment within thirty (30) days of the invoice date. Overdue invoices shall bear interest at 1.5% per month or such lower rate as shall be the then highest rate permitted by law. Client shall pay all applicable taxes due under this Agreement, except taxes based on Cloudwise's net income unless Client provides Cloudwise with a properly completed exemption certificate. All prices are exclusive of all taxes, duties, VAT, withholdings and other governmental assessments. Cloudwise reserves the right to suspend Services and delete all Client date held by Cloudwise, if Client fails to pay as provided herein.

					  4.0 Intellectual Property.
					  Client acknowledges and agrees that all ownership and proprietary rights to the Service, Auxiliary Programs and the contents thereof and all related intellectual property are and shall remain the property exclusively of Cloudwise. Cloudwise retains full rights of ownership and use in: (a) any programs, products, materials or methodologies or materials of Cloudwise created and/or developed by Cloudwise prior to or independently of the Services contemplated herein ('Pre-existing Works'); and (b) all materials, methodologies, processes, techniques, ideas, concepts, trade secrets, and know-how, which may be created or developed in connection with the Services and are modifications and/or derivatives of Cloudwise's Pre-existing Works.

					  5.0 Confidentiality.
					  Each party agrees: (a) that it will not disclose to any third party or use any confidential or proprietary information disclosed to it by the other party (collectively, 'Confidential Information') except as expressly permitted in this Agreement; and (b) that it will take all commercially reasonable measures to maintain the confidentiality of all Confidential Information of the other party in its possession or control, which will in no event be less than the measures it uses to maintain the confidentiality of its own information of similar importance. Confidential Information will not include information that: (i) is in or enters the public domain without breach of this Agreement; (ii) the receiving party lawfully receives from a third party without restriction on disclosure and without breach of a nondisclosure obligation; or (iii) the receiving party develops independently.

					  Client agrees that the Service: i) is Confidential Information; and ii) constitutes valuable assets and confidential trade secrets of Cloudwise. Client therefore agrees to keep in confidence and protect the Service, including but not limited to screenshots, ideas, concepts, designs, specifications, computer programs and strategies from disclosure to third parties and restrict its use as provided in this Agreement

					  6.0 Term and Termination.
					  The term ('Term') of the Service shall be specified as specified on the Cloudwise website.

					  7.0 Warranty.
					  Cloudwise warrants that the Service will function in substantial compliance with their specifications published by Cloudwise (available at help.cloudwise.com). Client acknowledges that changes by Client to its monitoring profile or corrupted, incomplete and/or interrupted data received by Cloudwise from Client's site(s), may have a material impact on the accuracy, reliability and/or timeliness of Service results, and Cloudwise shall not be responsible for any such factors beyond its reasonable control. THE ABOVE WARRANTIES ARE DYNATRACE'S ONLY WARRANTIES AND NO OTHER WARRANTY, EXPRESS OR IMPLIED, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WILL APPLY.

					  Client represents and warrants that Client shall; (i) abide by all laws, rules and regulations; and (ii) be responsible for all content or materials originating from its Web site(s) (its 'Content').

					  8.0 Limitation of Liability.
					  THE ENTIRE LIABILITY OF RUXIT AND CLIENT'S EXCLUSIVE REMEDY FOR DAMAGES FROM ANY CAUSE RELATED TO OR ARISING OUT OF THIS AGREEMENT, REGARDLESS OF THE FORM OF ACTION, WHETHER IN CONTRACT, TORT, OR OTHERWISE, WILL NOT EXCEED ANY FEES PAID, IF ANY, BY CLIENT UNDER THIS AGREEMENT FOR THE SERVICES GIVING RISE TO THE CLAIM OVER THE IMMEDIATELY PRECEDING TWELVE (12) MONTH PERIOD.

					  9.0 Limitation of Damages.
					  IN NO EVENT WILL RUXIT BE LIABLE FOR: (I) INCIDENTAL, INDIRECT, SPECIAL, PUNITIVE, EXEMPLARY OR CONSEQUENTIAL DAMAGES; OR (II) LOSS OF OR DAMAGE TO CLIENT'S DATA FROM ANY CAUSE, INCLUDING WITHOUT LIMITATION LOSS OF USE, REVENUES, PROFITS, SAVINGS, EVEN IF RUXIT KNEW OR SHOULD HAVE KNOWN OF THE POSSIBILITY OF SUCH DAMAGES.

					  10.0 Indemnification.
					  Each party (the 'Indemnifying Party') shall indemnify, defend and hold harmless the other party and such other party's officers, directors, employees and agents (each, an 'Indemnified Party') from and against any and all damages, liabilities, costs and expenses (including reasonable attorneys' fees) incurred by an Indemnifying Party's breach (i) of any obligation set forth in sections 2.0 (Scope of the Service; Restrictions) or 5.0 (Confidentiality).

					  11.0 Trial Service.
					  This section shall only apply if the Service has been provided for Client's trial and evaluation ('Trial Service'). The Trial Service is provided AS IS, with no warranties, express or implied, for the sole and exclusive purpose of enabling Client to evaluate the Subscription Service. The Trial Subscription Service shall automatically time-out at the end of the evaluation period.

					  12.0 Early Access Program.
					  This section shall only apply if the Subscription Service has been provided to Client for participation in the 'Early Access Program' for a new release of Cloudwise. During the Early Access Program Cloudwise will be in the stage of 'Early Adoption' and is provisioned for test purposes only. The Client acknowledges that the Service and Auxiliary Programs are in a stage of 'Early Adoption'. Therefore, Auxiliary Programs shall only be installed on computers which are regularly used by the Client for test purposes and are the property of or are permanently owned by the Client ('Designated Computers'). The use of Auxiliary Programs in a productive environment without any additional testing or adaptation to the specific requirements of an individual system environment may cause severe system failure.

					  The Early Adoption Program Services are provided AS IS, with no warranties, express or implied. Client agrees that due to the nature of the Early Adoption Program, Client may receive non-public technology, know-how and trade secrets, including, without limitation, ideas, concepts, designs, specifications, computer programs and strategies. Client agrees that the foregoing shall be treated as Confidential Information as specified in section 5.0 (Confidentiality).

					  13.0 Support for the Services.
					  Premium support for the Services is available on a subscription basis. Such support is provided AS IS, with no warranty, express or implied. Expert services are available on demand, on an hourly bases, at the Cloudwise then-current rates.

					  14.0 General Provisions.
					  14.1 Assignment.
					  Any attempt to assign this Agreement, without written consent, will be null and void.

					  14.2 Force Majeure.
					  Neither party will be responsible for any failure to perform due to causes beyond its reasonable control, including, but not limited to, acts of God, war, acts of terrorism, riot, failure of electrical, Internet, co-location or telecommunications service, acts of civil or military authorities, fire, floods, earthquakes, accidents, strikes, or fuel crises.

					  14.3 Governing Law.
					  This Agreement will be governed by and construed in accordance with the laws of the State of Michigan without regard to its conflicts of law principles. If the entity selling the Service is a wholly owned affiliate of Cloudwise LLC, this Agreement will be governed by the laws of the country in which such affiliate is situated.

					  14.4 Notice.
					  Any notice required by this Agreement must be given in writing and shall be deemed delivered upon receipt when delivered personally or upon confirmation of receipt following delivery by internationally recognized overnight courier service.

					  14.5 Waiver.
					  No failure or delay by any party in exercising any right, power, or remedy under this Agreement, except as specifically provided herein, shall operate as any waiver of any such right, power, or remedy.

					  14.6 Severability.
					  If any provision of this Agreement is held by a court to be invalid or unenforceable for any reason, the remaining provisions will continue in full force and effect without being impaired or invalidated in any way.

					  14.7 Entire Agreement.
					  These Terms of Service constitute the complete and exclusive agreement between the parties with respect to the subject matter hereof, superseding any prior agreements and communications (both written and oral). The terms and conditions contained in any purchase order shall be of no force or effect, even if the order is accepted by Cloudwise. This Agreement may only be modified, or any rights under it waived, by a written document executed by both parties.

					  14.8 Survival.
					  Sections 5, 7, 8, 9, 10 and 12 shall survive expiration or termination of this Agreement.
					"}


  # --- Author --------------------------------------------------------- #
  #
  s.author             = { "Cloudwise" => "support.mobile@cloudwise.com" }
  s.social_media_url   = "https://twitter.com/cloudwise"

  # --- Source Location ---------------------------------------------------------- #
  #
  s.source       = { :http => "https://www.npmjs.com/package/react-native-plugin3" }

  # --- Dependencies ---------------------------------------------------------- #
  #

  s.dependency "React"
end

